> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Conversation



## OpenAPI

````yaml get /chats/session/{sessionId}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.callhq.ai/api
security:
  - apiKeyAuth: []
paths:
  /chats/session/{sessionId}:
    get:
      tags:
        - Chat
      summary: Get Session Conversation
      parameters:
        - in: path
          name: sessionId
          required: true
          schema:
            type: string
          description: ID of the session to retrieve
      responses:
        '200':
          description: Session conversation retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionConversationResponse'
        '404':
          description: Session not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  schemas:
    SessionConversationResponse:
      type: object
      properties:
        message:
          type: string
          description: Response message
        session:
          type: object
          properties:
            id:
              type: string
              description: Unique identifier for the session
            name:
              type: string
              description: Name of the session
            status:
              type: string
              description: Status of the session
            assistantId:
              type: string
              description: ID of the assistant used in this session
            messages:
              type: array
              items:
                type: object
                properties:
                  role:
                    type: string
                    enum:
                      - user
                      - assistant
                    description: Role of the message sender
                  content:
                    type: string
                    description: Content of the message
            updatedAt:
              type: string
              format: date-time
              description: Last update timestamp
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````